ExceptionConstants (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.ExceptionConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel
Interface ExceptionConstants

    public interface ExceptionConstants

Exception constants.

Version:
  $Id: ExceptionConstants.java 386056 2006-03-15 11:31:56Z tcurdt $

Field Summary
`static Class` | `ABSTRACT_METHOD_ERROR`
`static Class` | `ARITHMETIC_EXCEPTION`
`static Class` | `ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION`
`static Class` | `CLASS_CAST_EXCEPTION`
`static Class` | `CLASS_CIRCULARITY_ERROR` Linking Exceptions
`static Class` | `CLASS_FORMAT_ERROR`
`static Class` | `EXCEPTION_IN_INITIALIZER_ERROR`
`static Class[]` | `EXCS_ARRAY_EXCEPTION`
`static Class[]` | `EXCS_CLASS_AND_INTERFACE_RESOLUTION` Pre-defined exception arrays according to chapters 5.1-5.4 of the Java Virtual Machine Specification
`static Class[]` | `EXCS_FIELD_AND_METHOD_RESOLUTION`
`static Class[]` | `EXCS_INTERFACE_METHOD_RESOLUTION`
`static Class[]` | `EXCS_STRING_RESOLUTION`
`static Class` | `ILLEGAL_ACCESS_ERROR`
`static Class` | `ILLEGAL_MONITOR_STATE`
`static Class` | `INCOMPATIBLE_CLASS_CHANGE_ERROR`
`static Class` | `INSTANTIATION_ERROR`
`static Class` | `LINKING_EXCEPTION` Super class of any linking exception (aka Linkage Error)
`static Class` | `NEGATIVE_ARRAY_SIZE_EXCEPTION`
`static Class` | `NO_CLASS_DEF_FOUND_ERROR`
`static Class` | `NO_SUCH_FIELD_ERROR`
`static Class` | `NO_SUCH_METHOD_ERROR`
`static Class` | `NULL_POINTER_EXCEPTION` Run-Time Exceptions
`static Class` | `RUNTIME_EXCEPTION` Super class of any run-time exception
`static Class` | `THROWABLE` The mother of all exceptions
`static Class` | `UNSATISFIED_LINK_ERROR`
`static Class` | `VERIFY_ERROR`

Field Detail

### THROWABLE

    static final Class THROWABLE

  The mother of all exceptions

### RUNTIME_EXCEPTION

    static final Class RUNTIME_EXCEPTION

  Super class of any run-time exception

### LINKING_EXCEPTION

    static final Class LINKING_EXCEPTION

  Super class of any linking exception (aka Linkage Error)

### CLASS_CIRCULARITY_ERROR

    static final Class CLASS_CIRCULARITY_ERROR

  Linking Exceptions

### CLASS_FORMAT_ERROR

    static final Class CLASS_FORMAT_ERROR

### EXCEPTION_IN_INITIALIZER_ERROR

    static final Class EXCEPTION_IN_INITIALIZER_ERROR

### INCOMPATIBLE_CLASS_CHANGE_ERROR

    static final Class INCOMPATIBLE_CLASS_CHANGE_ERROR

### ABSTRACT_METHOD_ERROR

    static final Class ABSTRACT_METHOD_ERROR

### ILLEGAL_ACCESS_ERROR

    static final Class ILLEGAL_ACCESS_ERROR

### INSTANTIATION_ERROR

    static final Class INSTANTIATION_ERROR

### NO_SUCH_FIELD_ERROR

    static final Class NO_SUCH_FIELD_ERROR

### NO_SUCH_METHOD_ERROR

    static final Class NO_SUCH_METHOD_ERROR

### NO_CLASS_DEF_FOUND_ERROR

    static final Class NO_CLASS_DEF_FOUND_ERROR

### UNSATISFIED_LINK_ERROR

    static final Class UNSATISFIED_LINK_ERROR

### VERIFY_ERROR

    static final Class VERIFY_ERROR

### NULL_POINTER_EXCEPTION

    static final Class NULL_POINTER_EXCEPTION

  Run-Time Exceptions

### ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION

    static final Class ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION

### ARITHMETIC_EXCEPTION

    static final Class ARITHMETIC_EXCEPTION

### NEGATIVE_ARRAY_SIZE_EXCEPTION

    static final Class NEGATIVE_ARRAY_SIZE_EXCEPTION

### CLASS_CAST_EXCEPTION

    static final Class CLASS_CAST_EXCEPTION

### ILLEGAL_MONITOR_STATE

    static final Class ILLEGAL_MONITOR_STATE

### EXCS_CLASS_AND_INTERFACE_RESOLUTION

    static final Class[] EXCS_CLASS_AND_INTERFACE_RESOLUTION

  Pre-defined exception arrays according to chapters 5.1-5.4 of the Java Virtual Machine Specification

### EXCS_FIELD_AND_METHOD_RESOLUTION

    static final Class[] EXCS_FIELD_AND_METHOD_RESOLUTION

### EXCS_INTERFACE_METHOD_RESOLUTION

    static final Class[] EXCS_INTERFACE_METHOD_RESOLUTION

### EXCS_STRING_RESOLUTION

    static final Class[] EXCS_STRING_RESOLUTION

### EXCS_ARRAY_EXCEPTION

    static final Class[] EXCS_ARRAY_EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.